Bug 144945 - Setting shortcut for "Show terminal" removes shortcuts for other windows.
Summary: Setting shortcut for "Show terminal" removes shortcuts for other windows.
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-02 09:21 UTC by Victor
Modified: 2011-06-24 21:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor 2007-05-02 09:21:32 UTC
Version:           2.5.4 (using KDE 3.5.4, compiled sources)
Compiler:          gcc version 3.4.6
OS:                Linux (i686) release 2.6.17.13

Currently assigning shortcut for "Show Terminal" removes (after application restart) shortcuts for all other windows/plugins (like "Filesystem browser", etc). Setting shortcuts for those windows will remove (after application restart) shortcut for "Show Terminal". 
It looks like Kate saves (to katerc) either shortcut to "Show Terminal" or all other widget/windows shortcuts, but not both - If shortcut for "Show Terminal" is set, all other shortcuts will be removed from section "Shortcuts" of katerc. Setting shortcuts for (for example) "Filesystem browser" removes "Show Terminal" shortcut from katerc. 
Also, Kate ignores "Show Terminal" shortcut if it is added manually and if other shortcuts present.

My kate version is 2.5.4, I'm using Slackware 11 linux with 2.6.17.13 kernel optimized for i686.
Comment 1 Victor 2007-05-04 16:11:42 UTC
Looks like I was a bit wrong. Kate doesn't have troubles only with "Show Terminal" shortcut it seems to be overwitting/forgetting shortcuts assigned in previous sessions, if new shortcuts were assigned in current session.
Comment 2 Daniel Betz 2008-11-15 00:56:55 UTC
-------------------- shortcut section of katerc
[Shortcuts]
kate_mdi_toolview_kate_private_plugin_katefileselectorplugin=Shift+F2
kate_mdi_toolview_kate_private_plugin_katekonsoleplugin=F4
-------------------- shortcut section of katerc end

I start kate.

-------------------- shortcut section of katerc
[Shortcuts]
kate_mdi_toolview_kate_private_plugin_katefileselectorplugin=Shift+F2
kate_mdi_toolview_kate_private_plugin_katekonsoleplugin=F4
-------------------- shortcut section of katerc end

I add a shortcut.

-------------------- shortcut section of katerc
[Shortcuts]
kate_mdi_toolview_kate_filelist=F2
-------------------- shortcut section of katerc end

F4 is still working, but after a restart ...

This happens with Kate 3.1.2. I noticed this kind of problems in the past, but it becomes worse after my upgrade to KDE 4.1.2.
Comment 3 Dominik Haumann 2011-06-24 21:02:10 UTC
fixed for KDE 4.7. Thanks for the report and sorry for the delay.